CMSIS-DSP: CMakeLists.txt File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
CMakeLists.txt File Reference

## Functions

| cmake_minimum_required (VERSION 3.14) project(CMSISDSPCommon) include(configLib) include(configDsp) add_library(CMSISDSPCommon STATIC arm_common_tables.c arm_common_tables_f16.c) configLib(CMSISDSPCommon $

configDsp (CMSISDSPCommon ${ROOT}) if(CONFIGTABLE AND ALLFFT) target_compile_definitions(CMSISDSPCommon PUBLIC ARM_ALL_FFT_TABLES) endif() if(CONFIGTABLE AND ALLFAST) target_compile_definitions(CMSISDSPCommon PUBLIC ARM_ALL_FAST_TABLES) endif() include(fft) fft(CMSISDSPCommon) include(interpol) interpol(CMSISDSPCommon) target_sources(CMSISDSPCommon PRIVATE arm_const_structs.c) target_sources(CMSISDSPCommon PRIVATE arm_const_structs_f16.c) target_include_directories(CMSISDSPCommon PUBLIC"$

Include | if (NEON OR NEONEXPERIMENTAL) target_sources(CMSISDSPCommon PRIVATE"$
ComputeLibrary Source arm_cl_tables c | endif () if(HELIUM OR MVEF) target_sources(CMSISDSPCommon PRIVATE"$

## Function Documentation

cmake_minimum_required | ( | VERSION 3. | 14 | ) |

configDsp | ( | CMSISDSPCommon ${ROOT} |  | ) |

ComputeLibrary Source arm_cl_tables c endif | ( |  | ) |

Include if | ( | NEON OR | NEONEXPERIMENTAL | ) |